## org.eclipse.emf.cdo.common.protocol
Class CDOAuthenticationResult

    java.lang.Object
      org.eclipse.emf.cdo.common.protocol.CDOAuthenticationResult

All Implemented Interfaces:
  java.io.Serializable

    public final class CDOAuthenticationResult

extends java.lang.Object
implements java.io.Serializable

The result of an authentication operation. Carries a userID and a crypted token.

Since:
  2.0
See Also:
  Serialized Form

Constructor Summary
`CDOAuthenticationResult(org.eclipse.net4j.util.io.ExtendedDataInput in)`
`CDOAuthenticationResult(java.lang.String userID, byte[] cryptedToken)`

Method Summary
`byte[]` `getCryptedToken()`
`java.lang.String` `getUserID()`
`void` `write(org.eclipse.net4j.util.io.ExtendedDataOutput out)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CDOAuthenticationResult

    public CDOAuthenticationResult(java.lang.String userID,
                                   byte[] cryptedToken)

### CDOAuthenticationResult

    public CDOAuthenticationResult(org.eclipse.net4j.util.io.ExtendedDataInput in)
                            throws java.io.IOException

Throws:
  `java.io.IOException`

Method Detail

### write

    public void write(org.eclipse.net4j.util.io.ExtendedDataOutput out)
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### getUserID

    public java.lang.String getUserID()

### getCryptedToken

    public byte[] getCryptedToken()

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.